#include <QApplication>

#include "loginwindow.h"
#include "refreshservice.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    // Initialize configuration
    QCoreApplication::setOrganizationName("Communiquons");
    QCoreApplication::setOrganizationDomain("communiquons.org");
    QCoreApplication::setApplicationName("ComunicWatcher");

    if(!AccountHelper::SignedIn()) {
        (new LoginWindow())->show();
    }

    else
        RefreshService::startService();

    return a.exec();
}
