/**
 * Refresh service
 *
 * @author Pierre Hubert
 */

#pragma once

#include "wsclient.h"

#include <QObject>

class RefreshService : public QObject
{
    Q_OBJECT

public:
    static void startService();
    static void stopService();

private:
    RefreshService();
    ~RefreshService();

    // Class members
    static RefreshService *svc;
    WsClient client;
};
